%global xfceversion 4.14
%global _hardened_build 1
%global minorversion 1.6
Name:           xfce4-clipman-plugin
Version:        1.6.1
Release:        3
Summary:        Clipboard manager plugin for the Xfce panel
License:        GPLv2+
#Group:          Development/Libraries
URL:            http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:      noarch
BuildRequires:  gcc-c++
BuildRequires:  exo-devel >= 0.6.0
BuildRequires:  libxfce4ui-devel >= %{xfceversion}
BuildRequires:  libXtst-devel >= 1.0.0
BuildRequires:  qrencode-devel
BuildRequires:  xfce4-panel-devel >= %{xfceversion}
BuildRequires:  xfconf-devel >= %{xfceversion}
BuildRequires:  xorg-x11-proto-devel >= 7.0.0
BuildRequires:  unique-devel >= 1.0.0
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
Requires:       xfce4-panel >= %{xfceversion}

%description
Clipboard Manager for the Xfce Panel and as a standalone application (it is a
bundle). It keeps the clipboard contents around (even after an application
quits), it is able to handle text and images, and has a feature to execute
actions on specific text selection by matching them against regexes.

%prep
%autosetup

%build
%configure --disable-static --enable-unique --enable-libqrencode
%make_build


%install
%make_install

find %{buildroot} -name '*.la' -exec rm -f {} ';'

# make sure debuginfo is generated properly
chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

%find_lang %{name}

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications \
  --delete-original \
  %{buildroot}%{_datadir}/applications/xfce4-clipman.desktop

desktop-file-install \
  --dir %{buildroot}%{_sysconfdir}/xdg/autostart \
  --delete-original  \
  %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop


%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%config %{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop
%config(noreplace) %{_sysconfdir}/xdg/xfce4/panel/xfce4-clipman-actions.xml
%{_bindir}/xfce4-clipman
%{_bindir}/xfce4-clipman-history
%{_bindir}/xfce4-clipman-settings
%{_bindir}/xfce4-popup-clipman
%{_bindir}/xfce4-popup-clipman-actions
%{_libdir}/xfce4/panel/plugins/libclipman*
%{_datadir}/applications/xfce4-clipman-settings.desktop
%{_datadir}/applications/xfce4-clipman.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/xfce4/panel/plugins/%{name}.desktop
%{_datadir}/appdata/xfce4-clipman.appdata.xml
%{_datadir}/icons/hicolor/16x16/apps/clipman-symbolic.svg

%changelog
* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 1.6.1-3
- add extra macros : minorversion

* Tue Jul 14 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 1.6.1-1
- Init package
